Bug 850058 - Introduce new systemd-rpm macros in cloud-init spec file
Introduce new systemd-rpm macros in cloud-init spec file
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: cloud-init (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Garrett Holmstrom
Fedora Extras Quality Assurance
:
: 1094902 (view as bug list)
Depends On:
Blocks: 850016 autoenabled-systemd-units
  Show dependency treegraph
 
Reported: 2012-08-21 09:28 EDT by Lukáš Nykrýn
Modified: 2015-02-23 17:32 EST (History)
4 users (show)

See Also:
Fixed In Version: cloud-init-0.7.6-3.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-23 17:32:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Don't enable by default, use new systemd macros (2.27 KB, patch)
2014-07-16 18:18 EDT, Colin Walters
no flags Details | Diff

  None (edit)
Description Lukáš Nykrýn 2012-08-21 09:28:53 EDT
Fedora 18 changes the way how to work with services in spec files. It introduces new macros - %systemd_post, %systemd_preun and %systemd_postun; which replace scriptlets from Fedora 17 and older (see https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Systemd, https://bugzilla.redhat.com/show_bug.cgi?id=850016).
Comment 1 Garrett Holmstrom 2012-08-21 19:28:44 EDT
Blocked on https://fedorahosted.org/fesco/ticket/936
Comment 2 Fedora End Of Life 2013-12-21 03:42:44 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Garrett Holmstrom 2014-05-08 01:39:04 EDT
*** Bug 1094902 has been marked as a duplicate of this bug. ***
Comment 4 Garrett Holmstrom 2014-05-08 01:39:59 EDT
This is currently waiting on an FPC ticket for spin-based presets:  https://fedorahosted.org/fesco/ticket/945
Comment 5 Colin Walters 2014-07-16 18:18:11 EDT
Created attachment 918549 [details]
Don't enable by default, use new systemd macros
Comment 6 Colin Walters 2014-07-30 07:49:17 EDT
Ping on this bug?
Comment 7 Colin Walters 2014-09-15 16:25:16 EDT
Ping...
Comment 8 Garrett Holmstrom 2015-02-23 17:32:44 EST
This should be fixed in cloud-init-0.7.6-3.fc22.  We now enable the services as part of the kickstart instead, so we can simply drop the bits of %post that enable them and use the stock scripts.

Note You need to log in before you can comment on or make changes to this bug.